Package org.apache.sysds.runtime.instructions.spark

# Class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function

java.lang.Object
org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,ColumnMetadata>`

Enclosing class:
  MultiReturnParameterizedBuiltinSPInstruction

public static class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,ColumnMetadata>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransformEncodeBuild2Function(EncoderMVImpute encoder)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<Integer,ColumnMetadata>>`
`call(Iterator<scala.Tuple2<Long,FrameBlock>> iter)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformEncodeBuild2Function

public TransformEncodeBuild2Function(EncoderMVImpute encoder)

## Method Details

### call

public Iterator<scala.Tuple2<Integer,ColumnMetadata>> call(Iterator<scala.Tuple2<Long,FrameBlock>> iter) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,ColumnMetadata>`
Throws:
  `Exception`